Loading...
Searching...
No Matches
L4::Irq_handler_object Struct Reference
The L4Re IPC Framework » Server-Side IPC framework

Server object base class for handling IRQ messages. More...

`#include <ipc_server>`

Inheritance diagram for L4::Irq_handler_object:
Collaboration diagram for L4::Irq_handler_object:

## Additional Inherited Members

Public Types inherited from L4::Server_object_t< Kobject >
typedef Kobject | Interface
| Data type of the IPC interface definition.
Public Types inherited from L4::Epiface
typedef Ipc_svr::Server_iface | Server_iface
| Type for abstract server interface.
typedef Ipc_svr::Server_iface::Demand | Demand
| Type for server-side receive buffer demand.
Public Member Functions inherited from L4::Server_object_t< Kobject >
L4::Server_object::Demand | get_buffer_demand () const override
int | dispatch_meta_request (L4::Ipc::Iostream &ios)
| Implementation of the meta protocol based on IFACE.
Public Member Functions inherited from L4::Server_object
virtual int | dispatch (unsigned long rights, Ipc::Iostream &ios)=0
| The abstract handler for client requests to the object.
l4_msgtag_t | dispatch (l4_msgtag_t tag, unsigned rights, l4_utcb_t *utcb) override
| The abstract handler for client requests to the object.
Public Member Functions inherited from L4::Epiface
| Epiface ()
| Make a server object.
virtual | ~Epiface ()=0
| Destroy the object.
Stored_cap | obj_cap () const
| Get the capability to the kernel object belonging to this object.
Server_iface * | server_iface () const
| Get pointer to server interface at which the object is currently registered.
int | set_server (Server_iface *srv, Cap< void > cap, bool managed=false)
| Set server registration info for the object.
void | set_obj_cap (Cap< void > const &cap)
| Deprecated server registration function.
Static Public Member Functions inherited from L4::Server_object_t< Kobject >
static int | proto_dispatch (THIS *self, l4_umword_t rights, L4::Ipc::Iostream &ios)
| Implementation of protocol-based dispatch for this server object.

## Detailed Description

Server object base class for handling IRQ messages.

This server object base class implements the empty interface (L4::Kobject). The implementation of Server_object::dispatch() must return -L4_ENOREPLY, because IRQ messages do not handle replies.

Examples
  examples/libs/l4re/c++/shared_ds/ds_srv.cc.

Definition at line 161 of file ipc_server.

The documentation for this struct was generated from the following file:

- l4/cxx/ipc_server